[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSingleHelper.IsNan

Check whether a value equals NaN.

## Declaration

Source position: syshelph.inc line 225

`public class function TSingleHelper.IsNan(`
`const AValue: Single`
`):Boolean; overload; function TSingleHelper.IsNan: Boolean; overload;`

## Description

IsNan checks whether a single-sized floating point value is NaN (Not a Number). If so, it returns True. When the class function version is used, the value can be specified using AValue. In the method version, the used value is (Self).

## See also

TSingleHelper.IsInfinity |  | Check whether a value is positive or negative infinity.
TSingleHelper.IsPositiveInfinity |  | Check whether a value is positive infinity.
TSingleHelper.IsNegativeInfinity |  | Check whether a value is negative infinity.